## com.sun.grizzly.util
Enum ByteBufferFactory.ByteBufferType

    java.lang.Object
      java.lang.Enum<ByteBufferFactory.ByteBufferType>
          com.sun.grizzly.util.ByteBufferFactory.ByteBufferType

All Implemented Interfaces:
  Serializable, Comparable<ByteBufferFactory.ByteBufferType>

Enclosing class:
  ByteBufferFactory

    public static enum ByteBufferFactory.ByteBufferType

extends Enum<ByteBufferFactory.ByteBufferType>

An enumeration of all type of ByteBuffer this object can create.

Enum Constant Summary
`DIRECT`
`DIRECT_VIEW`
`HEAP`
`HEAP_ARRAY`
`HEAP_VIEW`

Method Summary
`static ByteBufferFactory.ByteBufferType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ByteBufferFactory.ByteBufferType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### DIRECT

    public static final ByteBufferFactory.ByteBufferType DIRECT

### HEAP

    public static final ByteBufferFactory.ByteBufferType HEAP

### DIRECT_VIEW

    public static final ByteBufferFactory.ByteBufferType DIRECT_VIEW

### HEAP_VIEW

    public static final ByteBufferFactory.ByteBufferType HEAP_VIEW

### HEAP_ARRAY

    public static final ByteBufferFactory.ByteBufferType HEAP_ARRAY

Method Detail

### values

    public static ByteBufferFactory.ByteBufferType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ByteBufferFactory.ByteBufferType c : ByteBufferFactory.ByteBufferType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ByteBufferFactory.ByteBufferType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Copyright © 2008 SUN Microsystems. All Rights Reserved.